package com.unis.equipmentOnlineRateAssessment.modular.hk.config;



import com.hikvision.artemis.sdk.config.ArtemisConfig;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.Resource;

/**
 * @author ybw
 * @version V1.0
 * @className ArtemisConfigInit
 * @date 2024/6/18
 **/
@Configuration
public class ArtemisConfigInit {
    @Resource
    private HkConfig hkConfig;

    @Bean
    public ArtemisConfig getArtemisConfig() {
        ArtemisConfig artemisConfig = new ArtemisConfig();
        artemisConfig.setHost(hkConfig.getHost());
        artemisConfig.setAppKey(hkConfig.getAppKey());
        artemisConfig.setAppSecret(hkConfig.getAppSecret());
        return artemisConfig;
    }
}
